# Review: https://bugzilla.redhat.com/show_bug.cgi?id=442270

Name:           lxde-common
Version:        0.4.2
Release:        2%{?dist}
Summary:        Default configuration files for LXDE

Group:          User Interface/Desktops
License:        GPLv2+
URL:            http://lxde.sourceforge.net/
Source0:        http://downloads.sourceforge.net/sourceforge/lxde/%{name}-%{version}.tar.bz2
Source1:        lxde-lock-screen.desktop
# fix lxde-logout.desktop
Patch6:         %{name}-0.4-lxde-logout.desktop.patch
# Distro specific patches
Patch10:        %{name}-0.3.2.1-pcmanfm-config.patch
Patch11:        %{name}-0.4-lxpanel-config.patch
Patch12:        %{name}-0.4-openbox-menu.patch
Patch13:        %{name}-0.3.2.1-logout-banner.patch
Patch14:        %{name}-0.4-olpc-keyboard-shortcuts.patch
# Pulseaudio
Patch4:         %{name}-0.4-pulseaudio.patch
# Because of new gdm, committed to upstream SVN
Patch5:         %{name}-0.3.2.1-gdm-number-of-desktops.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  desktop-file-utils
Requires:       lxsession lxpanel pcmanfm openbox xdg-utils 
Requires:       lxmenu-data lxde-settings-daemon
# Use vendor's artwork
Requires:       system-logos
%if 0%{?fedora} < 9
Requires:       desktop-backgrounds-basic
%else
Requires:       desktop-backgrounds-compat
# needed for new gdm fix
Requires:       xorg-x11-utils
%endif
Obsoletes:      %{name}-data <= 0.3.2.1-5
# needed because the lxde-common and lxde-common-data 
# required each other with full n-v-r on F-11
Provides:       %{name} = 0.3.2.1-4.fc11
Provides:       %{name}-data = 0.3.2.1-4.fc11
BuildArch:      noarch

%description
This package contains the configuration files for LXDE, the Lightweight X11 
Desktop Environment.


%prep
%setup -q
%patch10 -p1 -b .orig
%patch11 -p1 -b .orig
%patch12 -p1 -b .orig
%patch13 -p1 -b .logout-banner
#%patch14 -p1 -b .olpc
%patch4 -p1 -b .pulseaudio
%patch6 -p1 -b .desktop
%if 0%{?fedora} > 8
%patch5 -p1 -b .gdm-desktops
%endif


%build
%configure


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL='install -p'
desktop-file-install                                           \
      --dir=%{buildroot}%{_datadir}/applications               \
      lxde-logout.desktop
desktop-file-install                                           \
      --dir=%{buildroot}%{_datadir}/applications               \
      %{SOURCE1}
# the icon theme is packaged in a different package
rm -rf $RPM_BUILD_ROOT%{_datadir}/icons/


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING
%dir %{_sysconfdir}/xdg/lxsession/LXDE/
%config(noreplace) %{_sysconfdir}/xdg/lxsession/LXDE/autostart
%config(noreplace) %{_sysconfdir}/xdg/lxsession/LXDE/config
%{_bindir}/startlxde
%{_bindir}/lxde-logout
%{_bindir}/openbox-lxde
%{_datadir}/lxde/*
%{_datadir}/lxpanel/profile/LXDE/
%{_mandir}/man1/*.1.gz
%{_datadir}/xsessions/LXDE.desktop
%{_datadir}/applications/lxde-*.desktop


%changelog
* Tue Oct 27 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.4.2-2
- Final tweaks for the LXDE Spin

* Sat Jul 25 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.4.2-1
- Update to 0.4.2
- Disable OLPC keyboard shortcuts for now, they interfere with OpenOffice
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat Jun 13 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.4.1-3
- Add XO keyboard shortcuts

* Sat Jun 13 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.4.1-2
- Include logout and screenlock buttons (#503919)

* Mon May 18 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.4.1-1
- Update to 0.4.1

* Mon May 11 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.4-2
- Fix Provides to allow proper upgrade

* Tue Apr 28 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.4-1
- Update to 0.4
- Require lxmenu-data and lxde-settings-daemon
- Drop obsolete config file /etc/xdg/lxsession/LXDE/default

* Fri Mar 06 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.3.2.1-4
- Workaround for new gdm
- Add Pulseaudio support
- Add mixer plugin to the panel
- Require xdg-utils

* Fri Oct 10 2008 Christoph Wickert <cwickert@fedoraproject.org> - 0.3.2.1-3
- Require fedora-icon-theme and system-logos

* Thu Oct 09 2008 Christoph Wickert <cwickert@fedoraproject.org> - 0.3.2.1-2
- Rebase patches for rpm's new fuzz=0 behaviour

* Thu Jul 10 2008 Christoph Wickert <cwickert@fedoraproject.org> - 0.3.2.1-1
- Update to 0.3.2.1
- Switch from ROXTerm to LXterminal
- Rebased most patches
- Add mixer to the panel 

* Mon Apr 14 2008 Christoph Wickert <cwickert@fedoraproject.org> - 0.3.0.1-2
- Make a separate package for lxde-icon-theme

* Sat Apr 12 2008 Christoph Wickert <cwickert@fedoraproject.org> - 0.3.0.1-1
- Update to 0.3.0.1
- Use distros default artwork

* Sat Mar 29 2008 Christoph Wickert <cwickert@fedoraproject.org> - 0.3.0.0-1
- Initial Fedora RPM
- Use roxterm instead of gnome-terminal and xterm
- Patch default panel config
